Subject: [PATCH v11 7/9] arm64/kasan: add and use kasan_map_populate()

From: [email-masked] (Will Deacon)
Date: Fri, 13 Oct 2017 17:18:09 +0100

On Fri, Oct 13, 2017 at 12:00:27PM -0400, Pavel Tatashin wrote:
> BTW, don't we need the same aligments inside for_each_memblock() loop?

Hmm, yes actually, given that we shift them right for the shadow address.

> How about change kasan_map_populate() to accept regular VA start, end
> address, and convert them internally after aligning to PAGE_SIZE?

That's what my original patch did, but it doesn't help on its own because
kasan_populate_zero_shadow would need the same change.

Will